import { createApp } from 'vue'
import { createPinia } from 'pinia'
import i18n from '@/lang'
import App from './App.vue'
import router from './router'
import 'ant-design-vue/dist/reset.css'
import './assets/scss/main.scss'

const app = createApp(App)

app.use(i18n)
app.use(createPinia())
app.use(router)

// Hide 'DOMNodeInserted'
const originalAddEventListener = Element.prototype.addEventListener
Element.prototype.addEventListener = function (type: any, listener: any, options: any) {
    if (type === 'DOMNodeInserted') return
    return originalAddEventListener.call(this, type, listener, options)
}

app.mount('#app')
